*
{
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}

/* font-family */
:root
{
    --font-primary: "Prata", serif;
    --font-secondary:"Philosopher", sans-serif;
}
h1, h2, h3, h4, h5, h6
{
    font-family: var(--font-primary);
    
}
h1, h2, h3
{
    font-weight: 600;
}
p, a, span, strong
{
    font-family: var(--font-secondary);
}

/* colors */
:root
{
    --color-default:white;
    --color-primary:#2e3c2d;
    --color-secondary:#c7ded3;
}
/* 
--------------------------------------
          header section css
-------------------------------------- */
/*--------------------------------------------------------------
# Breadcrumbs
--------------------------------------------------------------*/
.breadcrumbs nav {
  background-color:transparent;
  padding: 20px 0;
}

.breadcrumbs nav ol {
  display: flex;
  flex-wrap: wrap;
  list-style: none;
  margin: 0;
  padding: 0;
  font-size: 16px;
  font-weight: 600;
  color: var(--color-primary);
}

.breadcrumbs nav ol a {
  color: black;
  transition: 0.3s;
}

.breadcrumbs nav ol a:hover {
  text-decoration: underline;
}

.breadcrumbs nav ol li+li {
  padding-left: 10px;
}

.breadcrumbs nav ol li+li::before {
  display: inline-block;
  padding-right: 10px;
  color: var(--color-primary);
  content: "/";
}

/* scroll bar css */
.scrollbar i
{
    width: 40px;
    height: 40px;
    justify-content: center;
    align-items: center;
    display: flex;
    font-size: 20px;
    background-color:#055861;
    color: white;
    position: fixed;
    /* display:; */
    right: 30px;
    bottom: 30px;
    text-align: center;
    line-height: 35px;
    font-weight: 600;
    z-index: 999;
    transition: 0.7s all ease-in-out;
    cursor: pointer;
    border-radius: 4px;
}
.contact_icon
{
    position: fixed;
    z-index: 999;
    margin-top: 100px;
    right: 0px;
}
.contact_icon ul li
{
    list-style: none;
}
.contact_icon ul li>a
{
    text-decoration: none;
}
@media(max-width:767px){
  .contact_icon ul li>a>i 
  {
    margin-bottom:1px!important;
  }
}
.contact_icon ul li>a>i 
{
    font-size: 30px;
    margin-bottom: 10px;
    width: 45px;
    height: 45px;
    display: flex; 
    justify-content: center;
    align-items: center;
    background-color: var(--color-secondary);
}
.header
{
    height: 90px;
    background-color:var(--color-default);
    position: sticky;
    top: -100px; /* Hide the navbar 50 px outside of the top view */
    width: 100%; /* Full width */
    transition: top 0.7s; /* Transition effect when sliding down (and up) */
    z-index: 999;
    box-shadow: 5px 5px 6px #b8b7b7;
}
.header img {
    max-height: 80px;
    margin-right: 6px;
  }
  .header .navbar ul button
  {
    border: 2px solid var(--color-primary);
    outline: none;
    background: transparent;
    font-weight: 600;
    font-family: var(--font-secondary);
    letter-spacing: 2px;
    font-size: 17px;
    color: var(--color-primary);
    padding: 5px 15px;
    margin-left: 30px;
  }
  .header .navbar ul button:hover
  {
    background-color: var(--color-primary);
    color: var(--color-default);
    transition: 0.5s;
  }
.navbar {
    padding: 0;
  }

  .navbar ul {
    margin: 0;
    padding: 10px 0;
    display: flex;
    list-style: none;
    align-items: center;
  }

  .navbar li {
    position: relative;
  }

  .navbar>ul>li {
    white-space: nowrap;
    padding: 10px 0 10px 28px;
  }

  .navbar a,
  .navbar a:focus {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 3px;
    font-family: var(--font-secondary);
    font-weight: 600;
    color: rgba(3, 3, 3, 0.934);
    white-space: nowrap;
    transition: 0.3s;
    position: relative;
    text-transform: uppercase;
    text-decoration: none;
  }

  .navbar a i,
  .navbar a:focus i {
    font-size: 12px;
    line-height: 0;
    margin-left: 5px;
    font-weight: 600;
}

.navbar>ul>li>a:before {
    content: "";
    position: absolute;
    width: 100%;
    height: 2px;
    bottom: -6px;
    left: 0;
    background-color: var(--color-primary);
    visibility: hidden;
    width: 0px;
    transition: all 0.3s ease-in-out 0s;
}

  .navbar a:hover:before,
  .navbar li:hover>a:before,
  .navbar .active:before {
    visibility: visible;
    width: 100%;
    color: var(--color-primary);
  }

  .navbar a:hover,
  .navbar .active,
  .navbar .active:focus,
  .navbar li:hover>a {
    color: var(--color-secondry);
    transition: all 0.4s;
    
  }

  .navbar .dropdown ul {
    display: block;
    position: absolute;
    left: 28px;
    top: calc(100% + 30px);
    margin: 0;
    padding: 10px 0;
    z-index: 99;
    opacity: 0;
    visibility: hidden;
    background:var(--color-secondary);
    color:var(--color-primary);
    box-shadow: 0px 0px 30px rgba(127, 137, 161, 0.25);
    transition: 0.3s;
    border-radius: 4px;
  }

  .navbar .dropdown ul li {
    min-width: 200px;
  }

  .navbar .dropdown ul a {
    padding: 10px 20px;
    text-transform: none;
    font-weight: 600;
    color:var(--color-primary);
    border-bottom: 1px solid var(--color-primary);
    text-decoration: none;
    text-transform: capitalize;
  }

  .navbar .dropdown ul a i {
    font-size: 12px;
    font-optical-sizing: auto;
font-weight: 500;
font-style: normal;
  }

  .navbar .dropdown ul a:hover,
  .navbar .dropdown ul .active:hover,
  .navbar .dropdown ul li:hover>a {
    color:white;
    background-color: #023a35;
  }

  .navbar .dropdown:hover>ul {
    opacity: 1;
    top: 100%;
    visibility: visible;
  }

  .navbar .dropdown .dropdown ul {
    top: 0;
    left: calc(100% - 30px);
    visibility: hidden;
  }

  .navbar .dropdown .dropdown:hover>ul {
    opacity: 1;
    top: 0;
    left: 100%;
    visibility: visible;
  }
  .checkbtn
  {
    font-size: 30px;
    color:var(--color-primary);
    float: right;
    line-height: 80px;
    cursor: pointer;
    display: none;
  }
  #check
  {
    display: none;
  }
  
  @media(max-width:768px){
         .checkbtn
         {
            display: block;
  
         }
         .navbar ul 
         {
            position: fixed;
            width: 100%;
            height: 100vh;
            top:90px;;
            left: -100%;
            background-color:#ffff;
            z-index: 99999;
            transition: all 0.5s;
            align-items: center;
            flex-direction: column;
            text-align: center;
         }
         .navbar ul li 
         {
            border-top: 2px solid var(--color-primary);
            width: 100%;
         }
       
         .navbar ul li a 
         {
            color: var(--color-primary);
            display: block;
          
         }
         #check:checked ~ ul 
         {
            left: 0;
         }
         
  
  }
  /* banner section css */
  .carousel-item img
  {
      width:100%;
      max-height:750px;
      object-fit:content;
      aspect-ratio:3/2
  }
 .carousel-item .description
  {
    position:absolute;
    left:40%;
     top:40%;
     transform:translate(-40%, -40%);
    width:55%;
    padding: 20px;
    background: rgba(0, 0, 0, 0.3);
    color: var(--color-default);
    letter-spacing: 1px;
    word-spacing: 5px;
    color:var(--color-secondary);
  }
  .carousel-item .description h1 span
  {
    color: var(--color-secondary);
  }
  /* About_us section css */
  .About_us .about_heading h2
  {
    color: var(--color-primary);
    margin-bottom: 30px;
    text-align: center;
  }
  .About_us .about_heading h2 span
  {
    color: #023c63;
  }
  .About_us img
  {
    border-radius: 10px;
    width: 100%;
    height: 350px;
    
  }
  @media (max-width: 767px) {
    .About_us img{
      width: 100%;
      height: unset;
    }
    
  }
  .About_us img:hover

  {
    box-shadow: 20px 20px 50px #f1f1f1,  -20px -20px 50px #f1f1f1;
    transition: 0.4s;
  }

  .About_us .play-btn {
    width: 94px;
    height: 94px;
    background: radial-gradient(var(--color-primary) 50%, rgba(0, 131, 116, 0.4) 52%);
    border-radius: 50%;
    display: block;
    position: absolute;
    left: calc(50% - 47px);
    top: calc(50% - 47px);
    overflow: hidden;
  }
  
  .About_us .play-btn:before {
    content: "";
    position: absolute;
    width: 120px;
    height: 120px;
    animation-delay: 0s;
    animation: pulsate-btn 2s;
    animation-direction: forwards;
    animation-iteration-count: infinite;
    animation-timing-function: steps;
    opacity: 1;
    border-radius: 50%;
    border: 5px solid rgba(0, 131, 116, 0.7);
    top: -15%;
    left: -15%;
    background: rgba(198, 16, 0, 0);
  }
  
  .About_us .play-btn:after {
    content: "";
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translateX(-40%) translateY(-50%);
    width: 0;
    height: 0;
    border-top: 10px solid transparent;
    border-bottom: 10px solid transparent;
    border-left: 15px solid #fff;
    z-index: 100;
    transition: all 400ms cubic-bezier(0.55, 0.055, 0.675, 0.19);
  }
  
  .About_us .play-btn:hover:before {
    content: "";
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translateX(-40%) translateY(-50%);
    width: 0;
    height: 0;
    border: none;
    border-top: 10px solid transparent;
    border-bottom: 10px solid transparent;
    border-left: 15px solid #fff;
    z-index: 200;
    animation: none;
    border-radius: 0;
  }
  
  .About_us .play-btn:hover:after {
    border-left: 15px solid var(--color-primary);
    transform: scale(20);
  }
  
  @keyframes pulsate-btn {
    0% {
      transform: scale(0.6, 0.6);
      opacity: 1;
    }
  
    100% {
      transform: scale(1, 1);
      opacity: 0;
    }
  }


  /* service section css */
  .our_services
  {
    background-image:linear-gradient(rgba(47, 61, 48, 0.872),rgba(47, 61, 48, 0.89)), url(css_bg/service_bg.jpg);
    background-repeat: no-repeat;
    background-size: cover;
  }
  .our_services .service_heading h2
  {
    color: var(--color-secondary);
    font-weight: 600;
  }
  .our_services .service_heading h2 span
  {
    color: var(--color-default);
  }
  .our_services .service_heading h5

  {
    color: var(--color-secondary);
  }
  .our_services .service_card 
  {
    justify-content:space-between;
    display: flex;
    margin-top: 50px;
    background:var(--color-secondary);
    color: var(--color-primary);
    border: 2px solid var(--color-primary);
    border-radius: 5px;
    padding: 10px;
    width: 100%;
    height: 170px;
    text-transform: capitalize;


  }
  @media(max-width:767px){
     .our_services .service_card 
    {
        margin-top: 20px;
        width: 100%;
        height: unset;
    }
}
  .our_services .service_card .service_card_content p 
  {
    color: rgb(66, 72, 67);
  }
  .our_services .service_card:hover
  {
    box-shadow: 10px 10px  var(--color-primary);
    transition: 0.7s;
  }
  .our_services .service_card .service_card_body img
  {
    width: 75px;
    margin-right: 10px;
  }

  /* our working process css */
  .our_working .working_box
  {
    width: 100%;
    max-height: 150px;
    align-items: center;
 
    justify-content: center;
  }
  .our_working .working_box img
  {
    width: 100%;
    max-height: 100px;
    object-fit: contain;
  }
.our_modal
{
  width: 100%;
  background-color: var(--color-secondary);
}
@media(max-width:768px){
  .our_modal
  {
    width: 100%;
    height: fit-content;
  }
}
.our_modal h2
{
  color: var(--color-primary);
}
.our_modal h2 span
{
  color: black;
}
.our_modal button
{
  border: 1px solid var(--color-primary);
  background-color: transparent;
  color: var(--color-primary);
  font-size: 17px;
  letter-spacing: 1px;
  font-weight: 600;
  padding: 5px 10px;
  margin-top: 20px;
}

  /* our project section */
  .our_project .slide
  {
    width: 100%;
    max-height:fit-content;
    align-items: center;
    text-align: center;
  }
  .our_project .slide img
  {
    width: 100%;
    max-height: 200px;
    aspect-ratio:3/2;
    object-fit:content;
  
    border:4px solid var(--color-primary);
  }
  .our_project .slide h5
  {
    margin-top: 20px;
  }
.our_project h2
{
  color: var(--color-primary);

}


/* our testimonial section */
.clients
{
  background-color: var(--color-primary);
}
.clients h2
{
  color: var(--color-default);
}
.clients h2 span
{
  color: var(--color-secondary);
}

.testimonial{
  background: var(--color-secondary);
  padding: 20px 40px 20px 70px;
  margin: 0 10px 60px;
  position: relative;
}
.testimonial:before{
  content: "";
  width: 0;
  height: 0;
  border-bottom: 50px solid #eee;
  border-left: 50px solid var(--color-primary);
  box-shadow: 7px 7px 7px rgba(0, 0, 0, 0.3);
  position: absolute;
  top: 0;
  left: 0;
}
.testimonial .testimonial-title{
  font-size: 15px;
  font-weight: bold;
  color: #192bc2;
  margin-bottom: 15px;
}
.testimonial .description{
  font-size: 13px;
  font-style: italic;
  line-height: 20px;
  color: #0b132b;
}
.testimonial .post{
  display: block;
  font-size: 13px;
  font-style: italic;
  font-weight: 700;
  color: #ff1053;
  margin-top: 10px;
}
.testimonial .pic{
  width: 70px;
  height: 70px;
  border-radius: 50%;
  overflow: hidden;
  position: absolute;
  bottom: -35px;
  right: 23px;
}
.testimonial .pic img{
  width: 100%;
  height: auto;
}
.owl-theme .owl-controls{
  margin-top: 40px;
}
.owl-theme .owl-controls .owl-buttons div{
  background: #3646b5;
  border-radius: 0;
  opacity: 1;
  padding: 5px 10px;
}
.owl-prev:before,
.owl-next:before{
  content: "\f053";
  font-family: "Font Awesome 5 Free"; font-weight: 900;
  color: #fff;
}
.owl-next:before{
  content: "\f054";
}
@media only screen and (max-width: 767px){
  .owl-theme .owl-controls{ margin-top: 20px; }
}
@media only screen and (max-width: 480px){
  .testimonial{
      margin: 0 10px 60px;
      text-align: center;
      padding: 20px 30px 20px 40px;
  }
}
@media only screen and (max-width: 479px){
  .testimonial{
      padding: 20px 25px 20px 25px;
  }
}


/* contact us section css */
.contact_us .container
{
  background-color: var(--color-primary);
  padding: 20px;
  border-radius: 10px;
}

.contact_us .contact__heading h2
{
  color: var(--color-default);
}
.contact_us .contact__heading h2 span,
.contact_us .contact__heading h5
{
  color: var(--color-secondary);
}
.contact_us .container form
{
  background: var(--color-secondary);
  padding: 10px;
}
.contact_us .container .contact_location
{
  background: var(--color-secondary);
  padding: 10px;
}
.contact_us .form-group input
{
  height: 45px;
  background-color: #f1f1f1;
  margin-bottom: 20px;
  color: var(--color-primary);
  font-family: var(--font-secondary);

}
.contact_us .form-group textarea
{

  background-color: #f1f1f1;
  margin-bottom: 20px;
  color: var(--color-primary);
  font-family: var(--font-secondary);

}
.contact_us .form-group .contact_button 
{
  padding: 5px 15px;
  border: 2px solid var(--color-primary);
  outline: none;
  background: transparent;
  font-weight: 600;
  font-family: var(--font-secondary);
  letter-spacing: 2px;
  font-size: 17px;
  color: var(--color-primary);
}
.contact_us .form-group .contact_button:hover
{
  background-color: var(--color-primary);
  color: var(--color-default);
  transition: 0.5s;
}
.contact_us .contact_location p a {
      color: var(--color-primary);
      text-decoration: none;
}


/* footer section css */
footer
{
  background-image:linear-gradient(rgba(255, 247, 248, 0.74),rgba(255, 247, 248, 0.804)), url(css_bg/service_bg.jpg);
  background-repeat: no-repeat;
  background-size: cover;
}
.footer .footer_links p 
{
  line-height: 15px;
}
.footer .footer_contact 
{
  line-height: 15px;
}
.footer a 
{
  text-decoration: none;
  color: var(--font-primary);
}



/* modal css */

    /* The Modal (background) */
    .modal {
      display: none; /* Hidden by default */
      position: fixed; /* Stay in place */
      z-index: 9999; /* Sit on top */
      padding-top: 100px; /* Location of the box */
      left: 0;
      top: 0;
      width: 100%; /* Full width */
      height: 100%; /* Full height */
      overflow: auto; /* Enable scroll if needed */
      background-color: rgb(0,0,0); /* Fallback color */
      background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
    }
    
    /* Modal Content */
    .modal-content {
      position: relative;
      background-color: #fefefe;
      margin: auto;
      padding: 0;
      border: 1px solid #888;
      width: 80%;
      box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
      -webkit-animation-name: animatetop;
      -webkit-animation-duration: 0.4s;
      animation-name: animatetop;
      animation-duration: 0.4s
    }
    
    /* Add Animation */
    @-webkit-keyframes animatetop {
      from {top:-300px; opacity:0} 
      to {top:0; opacity:1}
    }
    
    @keyframes animatetop {
      from {top:-300px; opacity:0}
      to {top:0; opacity:1}
    }
    
    /* The Close Button */
    .close {
      color: white;
      float: right;
      font-size: 28px;
      font-weight: bold;
    }
    
    .close:hover,
    .close:focus {
      color:var(--color-secondary);
      text-decoration: none;
      cursor: pointer;
    }
    
    .modal-header {
      padding: 2px 16px;
      background-color: var(--color-primary);
      color: white;
    }
    .modal-header h3
    {
      margin-left: 450px;
    }
    .modal-body {padding: 2px 16px;}
    .modal-body  .container
    {
      padding: 50px;
    }
    .modal-footer {
      padding: 2px 16px;
      background-color: var(--color-primary);
      color: white;
    }

    .modal-body .form-group .enquiry_button
    {
      border: 2px solid var(--color-primary);
      outline: none;
      background: transparent;
      font-weight: 600;
      font-family: var(--font-secondary);
      letter-spacing: 2px;
      font-size: 17px;
      color: var(--color-primary);
      padding: 5px 15px;
      margin-top: 10px;

    }
    .modal-body .form-group .enquiry_button:hover
    {
      background-color: var(--color-primary);
      color: var(--color-default);
      transition: 0.5s;
    }
    .modal-body .form-group option
    {
      font-family: var(--font-secondary);
      color: var(--color-primary);
      font-weight: 600;
      color: var(--color-primary);
    }
    .modal-body .estimate_content h4
    {
      letter-spacing: 1px;
      font-weight: 600;
      color: var(--color-primary);
    }
    /*.modal-body .estimate_content img*/
    /*{*/
    /*  width: 300px;*/
    /*  height:300px;*/
    /*}*/
      .modal-body .form-group input
      {
          margin-bottom:10px;
      }
    @media(max-width:1360px){
      .modal-body .estimate_content img
      {
        width: 100%;
        height:100%;
      }
      .modal-header h3
      {
        margin-left:unset;
      }
      .modal-body  .container
      {
        padding:5px;
      }
    }

.living-baner
{
  background-image: url(css_bg/service_bg.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  color: var(--color-primary);
  letter-spacing: 5px;
}

.design-box
{
   width: 100%;
   height: max-content;
   background-color: #fff;
}
.design-box .boxe
{
   background-color: #fff;
   box-shadow: 10px 10px 20px #eee, 10px -10px 20px #eee;
}
.boxe .box-content h5
{
   color: var(--color-primary);
}
.boxe .box-content 
{
   color: gray;
}
.boxe .box-body img
{
   width: 100%;
   height: 300px;
}
.boxe .box-content button{
   background:var(--color-primary);
   border: none;
   outline: none;
   color:white;
   padding:7px;
   letter-spacing: 4px;

}
.boxe .box-content button:hover
{
   background:rgb(255, 183, 0);
   color: black;
   transition: 0.6s;
}

.commercial_content .commercial_para
{
  background-color: var(--color-secondary);
  padding: 10px;
}
.commercial_content img
{
    border:4px solid var(--color-secondary);
    aspect-ratio:3/2;
    object-fit:content;
}
@media(max-width:768px){
    .commercial_content img
    {
        margin-top:30px;
    }
}
.jewellery .relative img
{
  position: relative;
  bottom: 200px;
  left: 100px;
}
.jewellery .relative img:hover
{
  cursor: pointer;
  opacity: 0;
  transition: 0.7s;
}
.modular_kitchen img
{
  width: 90%;
  height: 500px;
  border-radius: 10px;
}
@media(max-width:768px){
  .modular_kitchen img
{
  width:100%;
  height:unset;
  border-radius: 10px;
}
.modular_kitchen .kitchen_content
{
  position: relative;
  left:0px!important;
  width: 100% !important;;
  top:30px!important;
  word-spacing: 0px!important;
}
}
.modular_kitchen .kitchen_content
{
  background-color: var(--color-primary);
  position: relative;
  left: -250px;
  width: 450px;
  color: var(--color-default);
  top: 150px;
  padding: 10px;
  border-radius: 10px;
  box-shadow: 5px 5px var(--color-secondary);
  word-spacing: 10px;
  letter-spacing: 2px;
}
.testimoniall
{
    /*padding: 20px 40px 20px 70px;*/
  margin: 0 10px 60px;
}